#include 'protheus.ch'
#include 'parmtype.ch'

user function CadOrc()


Local cAlias := "SZO"

	Private cCadastro := "Oramento" 
	Private aRotina := {} 
	
	AADD(aRotina,{"Pesquisar" ,"AxPesqui" ,0,1}) 
	AADD(aRotina,{"Visualizar" ,"U_cVisualizar" ,0,2}) 
	AADD(aRotina,{"Incluir" ,"U_iIncOrc" ,0,3}) 
	AADD(aRotina,{"Alterar" ,"cAlterar()" ,0,4}) 
	AADD(aRotina,{"Excluir" ,"cExcluir()" ,0,5}) 

	dbSelectArea(cAlias) 
	dbSetOrder(1) 
	mBrowse( 6,1,22,75,cAlias)
	
Return

User FUNCTION iIncOrc(cAlias,nReg,nOpc) 


	//Local nUsado := 0 
	Local cTitulo := "Inclusao de Oramento" 
	Local aCab := {} // Array com descricao dos campos do Cabecalho do Modelo 2 
	Local aRoda := {} // Array com descricao dos campos do Rodape do Modelo 2 	 
	Local aGrid := {80,005,050,300,200,100} //Array com coordenadas da GetDados no modelo2 - Padrao: {44,5,118,315}
	// Linha Inicial - Coluna Inicial - +Qts Linhas - +Qts Colunas : {080,005,050,300} 
	Local cLinhaOk := "AllwaysTrue()" // Validacoes na linha da GetDados da Modelo 2 
	Local cTudoOk := "AllwaysTrue()" // Validacao geral da GetDados da Modelo 2 
	Local lRetMod2 := .F. // Retorno da funo Modelo2 - .T. Confirmou / .F. Cancelou 
	Local nColuna := 0 


	// Variaveis para GetDados() 
	Private aCols := {} 
	Private aHeader := {} 

	// Variaveis para campos da Enchoice() 
	Private cNumOrc     := Space(6) 
	Private cCliente    := SPACE(12) 
	Private cNome       := SPACE(12)
	Private cCondPag    := SPACE(3)
	Private cEmissao    := Space(8)
	Private cPrazo      := Space(3)
	Private cTotal      := Space(12)
	Private cObs        := Space(50)
	Private cItem       := "01"
	//Private aTes    := {}
	//Private aFornec := {}
	cNumOrc := GetSXENum("SZO","ZO_NUMORC")
	// Montagem do array de cabealho 
	// AADD(aCab,{"Varivel" ,{L,C} ,"Ttulo","Picture","Valid","F3",lEnable}) 
	AADD(aCab,{"cNumOrc" ,{015,010} ,"Num Oramento*","@!",,,.F.}) 
	AADD(aCab,{"cCliente" ,{015,100} ,"Cliente*","@!",,,.T.})
	AADD(aCab,{"cNome" ,{015,200} ,"Nome*","@!",,,.T.}) 
	AADD(aCab,{"cCondPag" ,{045,010} ,"Cond Pagamento*","@!",,,.T.})
	AADD(aCab,{"cEmissao" ,{045,100} ,"Emisso*","@!",,,.T.})
	AADD(aCab,{"cPrazo" ,{045,200} ,"Prazo de Entrega*","@!",,,.T.})
	AADD(aCab,{"cTotal" ,{075,010} ,"Total*","@!",,,.F.})
	AADD(aCab,{"cObs" ,{075,100} ,"Obs:*","@!",,,.T.})
	
	// Montagem do aHeader 
	AADD(aHeader,{"Item" ,"cItem","@!",2,0,"AllwaysTrue()", "01","C","01","R"}) 
	AADD(aHeader,{"Produto" ,"cProduto","@!",12,0,"AllwaysTrue()", "","C","","R"})
	//AADD(aHeader,{"Item" ,,"@!",5,0,.F., "","N","","R"}) 
	//AADD(aHeader,{"Fornecedor" ,"cFornec","@!",40,0,.F., "","C","","R"}) 
	//cFornec := Array(1,Len(cFornec)+1)
	//AADD(aTes,{cTes})
	//AADD(aFornec,{cFornec})

	// Montagem do aCols 
	aCols := Array(1,Len(aHeader)+1) 


	// Inicializao do aCols 
	For nColuna := 1 to Len(aHeader)
		aCols[1][nColuna] := CriaVar(aHeader[nColuna][2],.T.)//inicializa a posio com o init padro do campo *KLRR*
	Next nColuna
	
	aCols[1][aScan(aHeader, {|x| AllTrim(x[2])=="ZI_ITEM"})] := "01"//inicializa o campo item *KLRR*

	aCols[1][Len(aHeader)+1] := .F. // Linha no deletada
	lMaximized := .T. 
	lRetMod2 := Modelo2(cTitulo,aCab,aHeader,aGrid,nOpc,cLinhaOk,cTudoOk,,,,,,,lMaximized,) 


	IF lRetMod2 
		//MsgInfo("Voc confirmou a operao","MBRW2SX5") 
		If nOpc == 3
			cValIncl()
		EndIf	
	ENDIF 

Return

Static Function cValIncl()
	Local cAlias := "SZO"
	
	//MsgInfo("Incluir ainda em construo")
	DbSelectArea(cAlias)
	//RecLock(cAlias,.T.)
	If Empty(cCodigo) 
		MsgAlert("Cdigo no preenchido")
	ElseIf Empty(cNome)
		MsgAlert("Nome no preenchido")
	ElseIf  Empty(cDesc)
		MsgAlert("Descrio no preenchida")
	Else

		for nCont := 1 to Len(aCols) //Grava os intens um por um
			RecLock(cAlias,.T.)
			ZP_Filial  := xFilial(cAlias)
			ZP_CODIGO  := cCodigo
			ZP_NOME    := cNome
			ZP_DESC    := cDesc
			ZP_FORNEC  := aCols[nCont][2]
			ZP_TES     := aCols[nCont][1]
		next nCont
	EndIf	


	MSUnLock()
Return
Static Function cExcluir()
	MsgInfo("Excluir ainda em construo")
Return

Static Function cVisualizar()
	MsgInfo("Visualizar em construo")
Return		

